# $Revision: 1.26 $, $Date: 2010/04/03 22:04:32 $
#
# Conditional build:
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif

%include	/usr/lib/rpm/macros.java

%define		snap	19
Summary:	OpenDocument to XML FOP converter
Summary(pl.UTF-8):	Konwerter plików OpenDocument do formatu XML FOP
Name:		odtransform
Version:	0.1.0
Release:	0.%{snap}.2
License:	Apache v2.0 (odtransform) + LGPL v2.1 (ooo2xslfo.xslt)
Group:		Applications/Publishing/XML/Java
Source0:	%{name}-%{version}-r%{snap}.tar.bz2
# Source0-md5:	e040305ffa4ed336711536d6cf092831
Source1:	%{name}.sh
# Source2 url: http://svn.clazzes.org/svn/ooo2xslfo/trunk/ooo2xslfo/src/main/resources/de/systemconcept/ooo/ooo2xslfo.xslt
Source2:	%{name}-ooo2xslfo.xslt
Source3:	%{name}.mf
URL:		http://svn.clazzes.org/svn/odtransform/
BuildRequires:	jar
BuildRequires:	java-commons-logging
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun >= 1.5}
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-commons-logging
# Yes, it is R but it is not BR
Requires:	java-xalan
Requires:	jpackage-utils
Suggests:	fop
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple Java tool for converting OpenDocument files to XML FOP files
that can be easily converted to various formats like PS or PDF using
fop.

%description -l pl.UTF-8
Proste, napisane w Javie narzędzie służące do konwersji plików w
formacie OpenDocument do plików XML FOP. Pliki wynikowe można
przekonwertować do wielu różnych formatów (jak PS czy PDF) przy użyciu
programu fop.

%prep
%setup -q -n %{name}-%{version}-r%{snap}

%build
required_jars="commons-logging"
CLASSPATH=$(build-classpath $required_jars)
%javac -cp $CLASSPATH -source '1.5' -target '1.5' main/java/org/clazzes/odtransform/*.java
cd main/java
%jar cf ../../odtransform-%{version}.jar org/clazzes/odtransform/*.class
cd ../resources
%jar uf ../../odtransform-%{version}.jar org/clazzes/odtransform/*.xslt
%jar -umf %{SOURCE3} ../../odtransform-%{version}.jar

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_datadir}/odtransform,%{_bindir}}

# jars
cp -a %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

cp conf/log4j*.properties $RPM_BUILD_ROOT%{_datadir}/odtransform

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/odtransform
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/odtransform/ooo2xslfo.xslt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/odtransform
%{_datadir}/odtransform
%{_javadir}/*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: odtransform.spec,v $
Revision 1.26  2010/04/03 22:04:32  pawelz
- unified jdk bconds
- better Group: Applications/Publishing/XML/Java

Revision 1.25  2010/04/03 22:02:34  pawelz
- rel 2

Revision 1.24  2010/04/03 21:48:57  pawelz
- updated deps
- better license info
- adapterized

Revision 1.23  2009/04/11 11:44:42  qboosh
- bcond header

Revision 1.22  2009/03/13 12:58:50  pawelz
- why %{?without_<feature> does not work? changed to %{!?with_<feature>

Revision 1.21  2009/03/13 12:48:22  pawelz
- added with java_sun bcond
- this source code is not compatibile with jdk < 1.5

Revision 1.20  2009/03/12 22:34:19  pawelz
- fixed jar args order. Now it works with both jar implementations.

Revision 1.19  2009/03/12 22:09:15  pawelz
- removed TODO (done a long time ago)

Revision 1.18  2009/03/12 21:49:26  glen
- more

Revision 1.17  2009/03/12 21:49:12  glen
- unify

Revision 1.16  2009/03/12 21:25:28  pawelz
- added manifest because gcj jar does not understand -e option

Revision 1.15  2009/02/03 21:46:03  qboosh
- fixed pl

Revision 1.14  2009/02/02 09:58:09  pawelz
- pl

Revision 1.13  2009/01/28 11:45:37  pawelz
- verified dependencies
- use gcj

Revision 1.12  2009/01/27 13:55:20  pawelz
- source2 url

Revision 1.11  2009/01/27 13:52:55  pawelz
- added xslt stylesheet

Revision 1.10  2009/01/27 12:24:17  glen
- unify

Revision 1.9  2009/01/27 00:54:06  pawelz
- shell wrapper for odtransform

Revision 1.8  2009/01/27 00:05:19  pawelz
- updated source
- log4j properties files

Revision 1.7  2009/01/26 23:00:40  glen
- cleanup

Revision 1.6  2009/01/26 22:58:16  glen
- use %javac and %jar macros

Revision 1.5  2009/01/26 22:57:00  glen
- build with older xerces-j pkg

Revision 1.4  2009/01/26 16:15:00  glen
- restore r1.2 changelog; adapter

Revision 1.3  2009/01/26 16:06:23  pawelz
- removed ChangeLog from template
- better Release (thx SamChi)

Revision 1.2  2009/01/26 16:04:36  sparky
- log trimmed, better rel

Revision 1.1  2009/01/26 15:40:50  pawelz
- OpenDocument to XML FOP converter
- it is easy to create pdf document from odt without OpenOffice now!
- initial PLD release
